/*
 * Fecha: 19-ene-04
 */
package es.ejie.frmk.presentacion.anomala;

import java.io.Serializable;
import java.util.Date;

import javax.servlet.http.HttpServletResponse;


/**
 * @version 1.0
 * Fecha: 19-ene-04
 */
public class Q70DobleClickBean implements Serializable{
	
	private long timestamp = 0;
	transient private HttpServletResponse response = null;
	
	/**
	 * @return
	 */
	public HttpServletResponse getResponse() {
		return response;
	}

	/**
	 * @return
	 */
	public long getTimestamp() {
		return timestamp;
	}

	/**
	 * @param response
	 */
	public void setResponse(HttpServletResponse response) {
		this.response = response;
	}

	/**
	 * @param l
	 */
	public void setTimestamp() {
		Date fecha = new Date();
		timestamp = fecha.getTime();
	}
	
	/**
	 * Método que calcula el retardo en milisegundos desde que se invocó a
	 * <code>setTimestamp()</code> hasta que se invoca a <code>calcularRetardo()</code>
	 * 
	 * @return retardo en milisegundos.
	 */
	public long calcularRetardo()
	{
		Date fecha = new Date();
		return (fecha.getTime() - timestamp);
	}

}
